# norootforbuild

%define		soname	3

Name:		iksemel
Version:	1.4
Release:	1.pm.1.1

Summary:	XML-parsing library
URL:		http://code.google.com/p/iksemel
License:	LGPL
Group:		Development/Libraries/C and C++

Source:		%{name}-%{version}.tar.bz2

Requires(pre):	%install_info_prereq

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	gcc-c++ pkg-config


%description
This is an XML parser library mainly designed for Jabber applications.
It provides SAX, DOM, and special Jabber stream APIs. Library is coded
in ANSI C except the network code (which is POSIX compatible), thus
highly portable.

%package -n	lib%{name}%{soname}
Summary:	XML-parsing library
Group:		Development/Libraries/C and C++

%description -n lib%{name}%{soname}
This is an XML parser library mainly designed for Jabber applications.
It provides SAX, DOM, and special Jabber stream APIs. Library is coded
in ANSI C except the network code (which is POSIX compatible), thus
highly portable.

%package -n	lib%{name}-devel
Summary:	Header files, libraries and development documentation for %{name}
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}
Requires:	lib%{name}%{soname} = %{version}
Requires:	gcc-c++ pkg-config

%description -n lib%{name}-devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.


%prep
%setup -q


%build
%configure --disable-static --with-pic
%__make %{?jobs:-j%jobs}


%install
%makeinstall
%{__rm} -f %{buildroot}%{_libdir}/*.la


%post
%install_info --info-dir=%_infodir %{_infodir}/%name.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%post -n lib%{name}%{soname} -p /sbin/ldconfig

%postun -n lib%{name}%{soname} -p /sbin/ldconfig


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_infodir}/iksemel*
%{_bindir}/ikslint
%{_bindir}/iksperf
%{_bindir}/iksroster

%files -n lib%{name}%{soname}
%defattr(-,root,root,0755)
%{_libdir}/libiksemel.so.*

%files -n lib%{name}-devel
%defattr(-,root,root,0755)
%{_includedir}/iksemel.h
%{_libdir}/libiksemel.so
%{_libdir}/pkgconfig/iksemel.pc


%changelog
* Sat Oct 09 2010 Detlef Reichelt <detlef@links2linux.de> 1.5.0
- initial build for PackMan

* Fri Aug 28 2009 - puzel@novell.com
- update to 1.4
  - Some previously rejected valid UTF8 sequences are now accepted.
  - Whitespace is allowed between attribute name, equal sign and value.
  - Small fixes all around (see ChangeLog).
* Mon Jan 26 2009 - crrodriguez@suse.de
- fix -devel package dependencies
* Sun Dec 21 2008 - mstopka@opensuse.org
- last rpmlint warning removed
* Sat Dec 29 2007 - crrodriguez@suse.de
- remove bogus Packager and Vendor tags from specfiles. (#337404)
* Fri Nov 30 2007 - crrodriguez@suse.de
- spec file fixes
- remove static libraries
- install info files the right way
* Tue Sep 26 2006 - Peter Nixon
- initial package
